# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`mdlj`](#mdlj): This module configures a system message of the day on a wide variety of systems.

## Classes

### `mdlj`

This module configures a system message of the day on a wide variety of systems.

#### Examples

##### Basic usage

```puppet
include mdlj
```

#### Parameters

The following parameters are available in the `mdlj` class.

##### `dynamic_mdlj`

Data type: `Boolean`

Enables or disables dynamic mdlj on Debian systems.

Default value: ``true``

##### `template`

Data type: `Optional[String]`

Specifies a custom template. A template takes precedence over `content`. Valid options:  '/mymodule/mytemplate.erb'.

Default value: ``undef``

##### `content`

Data type: `Optional[String]`

Specifies a static string as the mdlj content.

Default value: ``undef``

##### `issue_template`

Data type: `Optional[String]`

Specifies a custom template to process and save to `/etc/issue`. A template takes precedence over `issue_content`.

Default value: ``undef``

##### `issue_content`

Data type: `Optional[String]`

Specifies a static string as the `/etc/issue` content.

Default value: ``undef``

##### `issue_net_template`

Data type: `Optional[String]`

Specifies a custom template to process and save to `/etc/issue.net`. A template takes precedence over `issue_net_content`.

Default value: ``undef``

##### `issue_net_content`

Data type: `Optional[String]`

Specifies a static string as the `/etc/issue.net` content.

Default value: ``undef``

##### `windows_mdlj_title`

Data type: `String`

Specifies a static string to be used for:
'HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\policies\system\legalnoticetext'
and 'HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\policies\system\legalnoticecaption'
The 'legalnoticetext' registry key is shown before login on a Windows system.

Default value: `'Message of the day'`
